Skip to content

Extension Config

PATCH /config/extension

Extension Config

Requires an admin JWT; backend JWTs are rejected.

Authorization

Send Authorization: <Twitch Extension Client ID> <Muxy JWT>. The JWT role must satisfy the endpoint requirements shown in the examples.

Request body

Content type: application/json

Schema

{
  "oneOf": [
    {
      "type": "array",
      "description": "RFC 6902 JSON Patch operations.",
      "items": {
        "type": "object",
        "required": [
          "op",
          "path"
        ],
        "properties": {
          "op": {
            "type": "string",
            "enum": [
              "add",
              "remove",
              "replace",
              "move",
              "copy",
              "test"
            ]
          },
          "path": {
            "type": "string",
            "description": "JSON Pointer to the target value."
          },
          "from": {
            "type": "string",
            "description": "Source JSON Pointer for move or copy."
          },
          "value": {
            "description": "Value used by add, replace, or test."
          }
        }
      }
    },
    {
      "type": "object",
      "description": "JSON Merge Patch object.",
      "additionalProperties": true
    }
  ]
}

Example

[
  {
    "op": "replace",
    "path": "/favorite_color",
    "value": "blue"
  }
]

Responses

200 Response

Write accepted. The current service returns an empty JSON object.

Content type: application/json

Schema
{
  "type": "object",
  "maxProperties": 0
}
Example
{}

400 Error

400

Content type: application/json

Schema
{
  "type": "object",
  "properties": {
    "reason": {
      "type": "string"
    }
  }
}
Example
{
  "reason": "400"
}

403 Error

The JWT role is not allowed to perform this operation.

Content type: application/json

Schema
{
  "type": "object",
  "properties": {
    "reason": {
      "type": "string"
    }
  }
}
Example
{
  "reason": "The JWT role is not allowed to perform this operation."
}

Examples

Curl

curl --request PATCH \
  --url https://api.muxy.io/v1/e/config/extension \
  --header 'authorization: <Client ID> <admin JWT>' \
  --header 'content-type: application/json' \
  --data '[{ "op": "add", "path": "/settings/enable_features", "value": true }]'

Generated API reference

This endpoint is generated from rest-v1.yaml.